Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623833 - [abrt] crash in bibus-1.5.1-2.fc13: RefList.py:48:GetItemData:IndexError: list index out of range
[abrt] crash in bibus-1.5.1-2.fc13: RefList.py:48:GetItemData:IndexError: lis...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bibus (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
abrt_hash:9529f3de
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 18:07 EDT by Kerry
Modified: 2011-06-28 10:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (482 bytes, text/plain)
2010-08-12 18:07 EDT, Kerry
no flags Details

  None (edit)
Description Kerry 2010-08-12 18:07:10 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/share/bibus/bibus.py
component: bibus
executable: /usr/share/bibus/bibus.py
kernel: 2.6.33.4-95.fc13.i686.PAE
package: bibus-1.5.1-2.fc13
reason: RefList.py:48:GetItemData:IndexError: list index out of range
release: Fedora release 13 (Goddard)

backtrace
-----
RefList.py:48:GetItemData:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/share/bibus/RefList.py", line 241, in onListRightClick
    ref_Id = self.GetItemData( self.GetFirstSelected() )
  File "/usr/share/bibus/RefList.py", line 48, in GetItemData
    return self.datas[item]
IndexError: list index out of range

Local variables in innermost frame:
item: -1
self: <RefList.RefList; proxy of <Swig Object of type 'wxPyListCtrl *' at 0xa297ca8> >

comment
-----
Program didn't crash. 

Is this because I had deleted one of my references. I have 5 listed in all my references and only 4 in references.
Comment 1 Kerry 2010-08-12 18:07:12 EDT
Created attachment 438545 [details]
File: backtrace
Comment 2 Rafeek Mikhael 2010-09-12 22:14:02 EDT
Package: bibus-1.5.1-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I was trying to insert a new reference. This is a new installation and it is my first time to use the program.
2.
3.
Comment 3 Alex Lancaster 2010-09-12 23:16:37 EDT
It's possible you were using the MySQL backend, if so, try switching to the sqlite backend.
Comment 4 Alex Lancaster 2010-09-12 23:19:17 EDT
Also you might consider filing this bug upstream:

http://sourceforge.net/projects/bibus-biblio/support

there are lot of issues with bibus that aren't related to packaging, and it's not possible for me to fix all the bugs directly.  Unfortunately upstream looks a bit dormant right now.
Comment 5 Kerry 2010-09-13 17:34:56 EDT
I am using SqlLite.

Filed a bug upstream:
https://sourceforge.net/tracker/?func=detail&aid=3065552&group_id=110943&atid=657832
Comment 6 Benjamin D. 2010-11-10 09:14:29 EST
Package: bibus-1.5.1-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.tried to import a reference
2.Datei-->Importieren-->Textfenster
3.copied a .ris into the window:
TY  - BOOK

ID  - AC04674848

AU  - Kant, Immanuel

AU  - Schmidt, Raymund

TI  - Kritik der reinen Vernunft

M1  - Immanuel Kant. Hrsg. v. Raymund Schmidt mit ausführl. Sachreg. v. Theodor Valentiner

T3  - Universal-Bibliothek ; 274 = Philosophie

ET  - Ehem. Kehrbachsche Ausg., 4. Aufl.

PY  - 1971

SP  - 998 S.

CY  - Leipzig

PB  - Reclam

UR  - http://www.ub.univie.ac.at/katscans/NKN008/0021/00000072.gif Katalogkarte

AV  - Hauptbibliothek Magazin (NT 7) I-201636/274,4.Aufl.

ER  -

4.Choosed RIS in the option dialogue
5. Bibus crashed and the reference was not found in the import buffer or elsewhere.
Comment 7 Benjamin D. 2010-11-23 14:31:24 EST
Package: bibus-1.5.1-3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.datei-->import-->RIS
2.then i choosed the file and pressed enter
3.bibus crashed and the .ris-file did not appear in the import buffer
Comment 8 Walt 2011-01-12 14:00:15 EST
Package: bibus-1.5.1-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.normal use; just getting started with the app.
2.
3.
Comment 9 Bug Zapper 2011-06-01 07:33:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-28 10:39:07 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.